import QtQuick
import QtQuick.Controls 6.4
import QtQuick.Layouts

Item {
    id: settingsPage

    ColumnLayout {
        anchors.fill: parent

        Item {
            id: item2
            Layout.preferredWidth: 10
            Layout.preferredHeight: 10
            Layout.fillWidth: true
            Layout.fillHeight: true
        }

        ColumnLayout {
            id: column2
            Layout.fillWidth: true

            CheckBox {
                id: checkBox
                text: qsTr("Update user projects in the backgroud")
                font.pointSize: 15
                onCheckStateChanged: backend.setUpdateInBackground(checkState)
                checkState: backend.updateInBackground() ? Qt.Checked : Qt.Unchecked
            }

            Text{
                leftPadding: 45
                text: qsTr("Checks new projects every 10 seconds")
                font.pointSize: 12
            }

           CheckBox {
                id: checkBox2
                text: qsTr("Auto scale the project")
                font.pointSize: 15
                onCheckStateChanged: backend.setAutoScaleProject(checkState)
                checkState: backend.autoScaleProject() ? Qt.Checked : Qt.Unchecked

           }

           Text{
                leftPadding: 45
                text: qsTr("Scales the project to fit it to the current\ndisplay and orientation")
                font.pointSize: 12
                wrapMode: Text.WordWrap
           }
        }

        Item {
            id: item3
            Layout.fillHeight: true
            Layout.fillWidth: true
            Layout.preferredHeight: 10
            Layout.preferredWidth: 10
        }
    }
}
