import QtQuick
import QtQuick.Window 2.2
import QtQuick.Controls 6.5
import QtQuick.Layouts

Item {
    id: examplesPage

    ColumnLayout {
        anchors.fill: parent

        Button {
            id: button3
            text: qsTr("Cluster Tutorial")
            Layout.fillWidth: true
            onClicked: backend.runDemoProject("ClusterTutorial")
        }


        Button {
            id: button
            text: qsTr("E-Bike Design")
            Layout.fillWidth: true
            onClicked: backend.runDemoProject("EBikeDesign")
        }

        Button {
            id: button4
            text: qsTr("Material Bundle")
            Layout.fillWidth: true
            onClicked: backend.runDemoProject("MaterialBundle")
        }

        Item {
            id: item1
            width: 200
            height: 200
            Layout.fillHeight: true
            Layout.fillWidth: true
        }

        Button {
            id: button5
            text: qsTr("Clear demo caches")
            Layout.fillWidth: true
            onClicked: backend.clearDemoCaches()
        }
    }
}
